<?php namespace Concrete\Package\WaveText\Block\WaveText;
use \Concrete\Core\Block\BlockController;
use BlockType;
use Core;
use View;
use \Concrete\Core\Block\View\BlockView as BlockView;
use Database;

defined('C5_EXECUTE') or die("Access Denied.");

	class Controller extends BlockController {
		
		var $pobj;
		
		protected $btTable = 'btWaveText';
		protected $btInterfaceWidth = "420";
		protected $btInterfaceHeight = "380";
		protected $btCacheBlockOutput = true;
		protected $btCacheBlockOutputOnPost = true;
		
		public function getBlockTypeDescription() {
			return t("Create text headers with a cool wave effect!");
		}
		public function getBlockTypeName() {
			return t("Wave Text");
		}
		
		public function registerViewAssets($outputContent = '') {
			$this->requireAsset('javascript','wavetext'); 
			$this->requireAsset('javascript', 'jquery');// Ensure we have JQuery
		}

		function save($data) { 
			$db = Database::connection();
			//Settings Data
			$args['wtText'] 	= $data['wtText'];
			$args['wavetype'] 	= $data['wavetype'];
			$args['animate'] 	= $data['animate'];
			$args['scale'] 	= $data['scale'];
			$args['rotate'] 	= $data['rotate'];
			$args['duration'] 	= is_numeric($data['duration']) ? intval($data['duration']) : '2000';

			//Design Data
			$args['wtColor'] = isset($data['wtColor']) ? $data['wtColor'] : '#333333';
		
			parent::save($args);
		}
		
	}
	
?>